ubuntu 14.04 开发 ndk 无法编译 ndk-build

oldfeel 发布于 2014/04/19 05:14
阅读 1K+
收藏 0
oldfeel@oldfeel:~/test/workspace/HelloJni$ ndk-build
Android NDK: WARNING: APP_PLATFORM android-19 is larger than android:minSdkVersion 3 in ./AndroidManifest.xml    
[armeabi-v7a] Gdbserver      : [arm-linux-androideabi-4.6] libs/armeabi-v7a/gdbserver
[armeabi-v7a] Gdbsetup       : libs/armeabi-v7a/gdb.setup
[armeabi] Gdbserver      : [arm-linux-androideabi-4.6] libs/armeabi/gdbserver
[armeabi] Gdbsetup       : libs/armeabi/gdb.setup
[x86] Gdbserver      : [x86-4.6] libs/x86/gdbserver
[x86] Gdbsetup       : libs/x86/gdb.setup
[mips] Gdbserver      : [mipsel-linux-android-4.6] libs/mips/gdbserver
[mips] Gdbsetup       : libs/mips/gdb.setup
[armeabi-v7a] Compile thumb  : hello-jni <= hello-jni.c
Assembler messages:
Fatal error: invalid -march= option: `armv7-a'
make: *** [obj/local/armeabi-v7a/objs-debug/hello-jni/hello-jni.o] Error 1
oldfeel@oldfeel:~/test/workspace/HelloJni$



加载中
返回顶部
顶部